apiVersion: rbac.authorization.k8s.io/v1
kind: {{ 'ClusterRoleBinding' if (rb_cluster_wide | default(False)) else 'RoleBinding' }}
metadata:
  name: {{ rb_name }}
  namespace: {{ rb_namespace | default(namespace) }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: {{ rb_kind | default('Role') }}
  name: {{ rb_role | default('view') }}
subjects:
{% if (rb_subjkind | default('ServiceAccount')) != 'ServiceAccount' %}
- apiGroup: rbac.authorization.k8s.io
  kind: "{{ rb_subjkind }}"
{% else %}
- kind: ServiceAccount
{% endif %}
  name: "{{ rb_subject }}"
{% if (rb_subjkind | default('ServiceAccount')) == 'ServiceAccount' %}
  namespace: "{{ rb_subjnamespace | default(rb_namespace | default(namespace)) }}"
{% endif %}
